org.wildfly.swarm.config.elytron

## Class CustomModifiableRealm<T extends CustomModifiableRealm<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.CustomModifiableRealm<T>

-     public class CustomModifiableRealm<T extends CustomModifiableRealm<T>>
      extends Object

  Custom realm configured as being modifiable will be expected to implement the ModifiableSecurityRealm interface. By configuring a realm as being modifiable management operations will be made available to manipulate the realm.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomModifiableRealm(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `className()` The class name of the implementation of the custom realm.
    `T` | `className(String value)` The class name of the implementation of the custom realm.
    `Map` | `configuration()` The optional key/value configuration for the custom realm.
    `T` | `configuration(Map value)` The optional key/value configuration for the custom realm.
    `T` | `configuration(String key, Object value)` The optional key/value configuration for the custom realm.
    `String` | `getKey()`
    `String` | `module()` The module to use to load the custom realm.
    `T` | `module(String value)` The module to use to load the custom realm.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CustomModifiableRealm

          public CustomModifiableRealm(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### configuration

          public Map configuration()

      The optional key/value configuration for the custom realm.

    - #### configuration

          public T configuration(Map value)

      The optional key/value configuration for the custom realm.

    - #### configuration

          public T configuration(String key,
                                 Object value)

      The optional key/value configuration for the custom realm.

    - #### className

          public String className()

      The class name of the implementation of the custom realm.

    - #### className

          public T className(String value)

      The class name of the implementation of the custom realm.

    - #### module

          public String module()

      The module to use to load the custom realm.

    - #### module

          public T module(String value)

      The module to use to load the custom realm.

Copyright © 2017 JBoss by Red Hat. All rights reserved.